Create a prompt
curl --request POST \
--url https://neo.api.projectdiscovery.io/api/v1/prompts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"title": "<string>",
"category": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"visibility": "private"
}
'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/prompts"
payload = {
"content": "<string>",
"title": "<string>",
"category": "<string>",
"description": "<string>",
"tags": ["<string>"],
"visibility": "private"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
title: '<string>',
category: '<string>',
description: '<string>',
tags: ['<string>'],
visibility: 'private'
})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prompt": {
"content": "<string>",
"copy_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"category": "<string>",
"description": "<string>",
"metadata": {},
"source_prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
"<string>"
],
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Prompts
Create a prompt
Create a new prompt in the userβs personal library. Created as private by default.
POST
/
api
/
v1
/
prompts
Create a prompt
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Body
application/json
Minimum string length:
1Required string length:
1 - 255Free-form category label
Maximum string length:
100Prompt visibility. Defaults to private. Set to team to share with your team.
Available options:
private, team Response
Prompt created
Show child attributes
Show child attributes
βI

